scala.tools.nsc

# CompileClient

#### object CompileClient extends StandardCompileClient

Source
  CompileClient.scala

Linear Supertypes
StandardCompileClient, CompileOutputCommon, HasCompileSocket, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompileClient
2. StandardCompileClient
3. CompileOutputCommon
4. HasCompileSocket
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compileOnServer(sock: Socket, args: Seq[String]): Boolean

   Definition Classes
     HasCompileSocket

7. #### lazy val compileSocket: CompileSocket

   Definition Classes
     StandardCompileClient → HasCompileSocket

8. #### def echo(msg: String): Unit

   Definition Classes
     CompileOutputCommon

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### val errorMarkers: Set[String]

    Definition Classes
      HasCompileSocket

12. #### def fatal(msg: String): Nothing

    Definition Classes
      CompileOutputCommon

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### def info(msg: String): Unit

    Definition Classes
      CompileOutputCommon

17. #### def isErrorMessage(msg: String): Boolean

    Definition Classes
      HasCompileSocket

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def main(args: Array[String]): Unit

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def process(args: Array[String]): Boolean

    Definition Classes
      StandardCompileClient

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### var verbose: Boolean

    Definition Classes
      StandardCompileClient → CompileOutputCommon

27. #### val versionMsg: String

    Definition Classes
      StandardCompileClient

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def warn(msg: String): Unit

    Definition Classes
      CompileOutputCommon

### Inherited from StandardCompileClient

### Inherited from CompileOutputCommon

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Ungrouped